Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.design
Class JRCrosstabOrigin

    java.lang.Object
      net.sf.jasperreports.crosstabs.design.JRCrosstabOrigin

All Implemented Interfaces:
  java.io.Serializable

    public class JRCrosstabOrigin

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: JRCrosstabOrigin.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static byte` | `TYPE_COLUMN_GROUP_HEADER`
`static byte` | `TYPE_COLUMN_GROUP_TOTAL_HEADER`
`static byte` | `TYPE_DATA_CELL`
`static byte` | `TYPE_HEADER_CELL`
`static byte` | `TYPE_ROW_GROUP_HEADER`
`static byte` | `TYPE_ROW_GROUP_TOTAL_HEADER`
`static byte` | `TYPE_WHEN_NO_DATA_CELL`

Constructor Summary
`JRCrosstabOrigin(JRDesignCrosstab crosstab, byte type)`
`JRCrosstabOrigin(JRDesignCrosstab crosstab, byte type, java.lang.String rowGroupName, java.lang.String columnGroupName)`

Method Summary
`java.lang.String` | `getColumnGroupName()`
`JRDesignCrosstab` | `getCrosstab()`
`java.lang.String` | `getRowGroupName()`
`byte` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_HEADER_CELL

    public static final byte TYPE_HEADER_CELL

See Also:
  Constant Field Values

### TYPE_WHEN_NO_DATA_CELL

    public static final byte TYPE_WHEN_NO_DATA_CELL

See Also:
  Constant Field Values

### TYPE_ROW_GROUP_HEADER

    public static final byte TYPE_ROW_GROUP_HEADER

See Also:
  Constant Field Values

### TYPE_ROW_GROUP_TOTAL_HEADER

    public static final byte TYPE_ROW_GROUP_TOTAL_HEADER

See Also:
  Constant Field Values

### TYPE_COLUMN_GROUP_HEADER

    public static final byte TYPE_COLUMN_GROUP_HEADER

See Also:
  Constant Field Values

### TYPE_COLUMN_GROUP_TOTAL_HEADER

    public static final byte TYPE_COLUMN_GROUP_TOTAL_HEADER

See Also:
  Constant Field Values

### TYPE_DATA_CELL

    public static final byte TYPE_DATA_CELL

See Also:
  Constant Field Values

Constructor Detail

### JRCrosstabOrigin

    public JRCrosstabOrigin(JRDesignCrosstab crosstab,
                            byte type)

### JRCrosstabOrigin

    public JRCrosstabOrigin(JRDesignCrosstab crosstab,
                            byte type,
                            java.lang.String rowGroupName,
                            java.lang.String columnGroupName)

Method Detail

### getType

    public byte getType()

### getRowGroupName

    public java.lang.String getRowGroupName()

### getColumnGroupName

    public java.lang.String getColumnGroupName()

### getCrosstab

    public JRDesignCrosstab getCrosstab()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com